Name:           ocaml-fieldslib
Version:        109.20.00
Release:        %mkrel 8
Summary:        Folding over record fields
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://ocaml.janestreet.com/?q=node/13
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/fieldslib-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-type-conv >= 109.20.00
BuildRequires:  ocaml-camlp4-devel

%description
This library defines a syntax extension for OCaml using Camlp4 that
can be used to define first class values representing record fields,
and additional routines, to get and set record fields, iterate and
fold over all fields of a record and create new record values.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n fieldslib-%{version}

%build
./configure --docdir %{buildroot}%{_datadir}/doc/
make
make doc
mv fieldslib.docdir doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/fieldslib
make install
rm -rf %{buildroot}%{_datadir}/doc/

%files
%doc COPYRIGHT.txt LICENSE.txt README.txt
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/fieldslib/
%{_libdir}/ocaml/fieldslib/META
%{_libdir}/ocaml/fieldslib/*.cma
%{_libdir}/ocaml/fieldslib/*.cmi
%{_libdir}/ocaml/fieldslib/*.cmxs

%files devel
%doc doc/
%doc sample/
%{_libdir}/ocaml/fieldslib/*.a
%{_libdir}/ocaml/fieldslib/*.cmx
%{_libdir}/ocaml/fieldslib/*.cmxa
%{_libdir}/ocaml/fieldslib/*.mli


%changelog
* Thu Nov 24 2016 neoclust <neoclust> 109.20.00-8.mga6
+ Revision: 1069773
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 109.20.00-7.mga6
+ Revision: 1056336
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 109.20.00-6.mga6
+ Revision: 956733
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.20.00-5.mga5
+ Revision: 750222
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 109.20.00-4.mga5
+ Revision: 727484
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 109.20.00-3.mga5
+ Revision: 683032
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.20.00-2.mga4
+ Revision: 525662
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 malo <malo> 109.20.00-1.mga4
+ Revision: 434009
- update to 109.20.00

* Sat Jan 12 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319780
- updated to last version 108.07.01
- constrain the set of libs from janest to be the same version

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301549
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300115
- updated to last version 108.07.00
- new rpm group for ocaml

* Wed Jul 25 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274282
- new version 108.00.02

* Fri Mar 23 2012 blue_prawn <blue_prawn> 107.01-1.mga2
+ Revision: 225937
- BuildRequires
- imported package ocaml-fieldslib

